Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq
Class DuplicateDurableSubscriptionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.jms.JMSException
                  org.codehaus.activemq.DuplicateDurableSubscriptionException

All Implemented Interfaces:
  java.io.Serializable

public class DuplicateDurableSubscriptionException
extends JMSException

There is only meant to be a single durable subscription open for a given clientID and subscriber name; this exception is thrown if a user tries to subscribe twice for the same clientID and subscriber name.

Version:
  $Revision: 1.1 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Constructor Summary
`DuplicateDurableSubscriptionException(ConsumerInfo info)`

Method Summary
`java.lang.String` | `getClientID()`
`java.lang.String` | `getConsumerName()`

Methods inherited from class javax.jms.JMSException
`getErrorCode, getLinkedException, setLinkedException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DuplicateDurableSubscriptionException

    public DuplicateDurableSubscriptionException(ConsumerInfo info)

Method Detail

### getClientID

    public java.lang.String getClientID()

### getConsumerName

    public java.lang.String getConsumerName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.